> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-wallets-docs-2-5.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Wallet

> Send funds to a wallet.

**API scope required**: `wallets.fund`

<Snippet file="alpha-api-note.mdx" />

<Note>This endpoint is only available in **staging** and only supports USDC and USDXM.</Note>


## OpenAPI

````yaml post /v1-alpha2/wallets/{walletLocator}/balances
openapi: 3.0.0
info:
  title: Crossmint Wallets API
  description: Crossmint Wallets API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags: []
paths:
  /v1-alpha2/wallets/{walletLocator}/balances:
    post:
      summary: Fund Wallet
      description: |-
        Send funds to a wallet.

        **API scope required**: `wallets.fund`
      operationId: BalanceController-fundWallet-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: walletLocator
          required: true
          in: path
          description: |-
            A wallet locator can be of the format:
            - `<walletAddress>`
            - `email:<email>:<walletType>`
            - `userId:<userId>:<walletType>`
            - `userId:<userId>:<walletType>` (white label user example)
            - `phoneNumber:<phoneNumber>:<walletType>`
            - `twitter:<handle>:<walletType>`
            - `x:<handle>:<walletType>`
          example:
            - '0x1234567890123456789012345678901234567890'
            - email:user@example.com:evm-smart-wallet
            - userId:507f1f77bcf86cd799439011:solana-mpc-wallet
            - userId:did:example:cm4lr5piw0h6t1bjho0onryql:evm-smart-wallet
            - phoneNumber:+12125551234:evm-smart-wallet
            - twitter:johndoe:evm-smart-wallet
            - x:@johndoe:evm-smart-wallet
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundWalletAmountDTO'
      responses:
        '201':
          description: Funds sent successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceResponseDTO'
        '404':
          description: >-
            Returns an error (404) if a wallet with the specified locator not
            found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV1Alpha2ErrorDTO'
components:
  schemas:
    FundWalletAmountDTO:
      type: object
      properties:
        amount:
          type: number
          minimum: 1
          maximum: 100
          description: The amount of currency to fund the wallet with. Between 1 and 100
          example: 10
        token:
          type: string
          enum:
            - usdc
            - usdxm
          description: The currency to fund the wallet with
          example: usdc
        chain:
          oneOf:
            - type: string
              enum:
                - arbitrum-sepolia
                - avalanche-fuji
                - base-sepolia
                - barret-testnet
                - ethereum-sepolia
                - optimism-sepolia
                - polygon-amoy
                - sei-atlantic-2-testnet
                - skale-nebula-testnet
                - soneium-minato-testnet
                - viction-testnet
            - type: string
              enum:
                - solana
          description: The chain to fund the wallet with
          example: base-sepolia
      required:
        - amount
        - token
      description: Parameters required to fund a wallet
      example:
        amount: 10
        token: usdc
        chain: base-sepolia
    WalletBalanceResponseDTO:
      type: array
      items:
        type: object
        properties:
          token:
            type: string
            enum:
              - ape
              - bnb
              - coti
              - eth
              - matic
              - mnt
              - pol
              - sei
              - chz
              - avax
              - xai
              - fuel
              - hbar
              - vic
              - ip
              - zcx
              - u2u
              - usdc
              - usdce
              - busd
              - usdxm
              - usdt
              - credit
              - weth
              - degen
              - brett
              - toshi
              - eurc
              - superverse
              - pirate
              - wld
              - bonk
              - trump
              - fartcoin
              - giga
              - moodeng
              - jailstool
              - wen
              - mlg
              - duo
              - pep
              - harambe
              - usedcar
              - vine
              - fartboy
              - pnut
              - stonks
              - mew
              - baby
              - michi
              - butthole
              - anglerfish
              - usa
              - chillguy
              - sigma
              - maneki
              - purpe
              - lockin
              - y2k
              - fafo
              - nub
              - fullsend
              - shoggoth
              - mini
              - llm
              - sc
              - fatgf
              - pwease
              - popcat
              - spx
              - fwog
              - mother
              - wif
              - fric
              - etf
              - gyat
              - bigballs
              - goat
              - stupid
              - duko
              - bitcoin
              - buttcoin
              - mcdull
              - skbdi
              - elon4afd
              - mumu
              - gme
              - biao
              - fred
              - pengu
              - asscoin
              - bhad
              - habibi
              - quant
              - hammy
              - boden
              - dolan
              - nap
              - scf
              - titcoin
              - zerebro
              - rfc
              - luce
              - melania
              - slerf
              - bome
              - ban
              - pippin
              - ghibli
              - figure
              - retardio
              - memesai
              - dogeai
              - memecoin
              - routine
              - troll
              - nobody
              - italianrot
              - jockey
              - pppp
              - useless
              - gork
              - hosico
              - neet
              - urmom
              - bert
              - fog
              - mog
              - boopa
              - wizard
              - trencher
              - chacha
              - aurafarm
              - sol
              - sui
              - apt
              - sfuel
              - xion
            description: The token
            example: eth
          decimals:
            type: number
            description: The number of decimals of the token
            example: 18
          balances:
            type: object
            additionalProperties:
              type: string
            description: The balance of the wallet in different chains
        required:
          - token
          - decimals
          - balances
      description: The balances of the wallet
      example:
        - token: usdc
          decimals: 6
          balances:
            base: '121000000'
            ethereum: '121000000'
            total: '242000000'
        - token: eth
          decimals: 18
          balances:
            ethereum: '1000000000000000000'
            total: '1000000000000000000'
    WalletV1Alpha2ErrorDTO:
      type: object
      properties:
        error:
          type: boolean
          enum:
            - true
        message:
          type: string
          description: Error message
          example: <error message>
      required:
        - error
        - message
      description: Wallet error

````